<?php

if ( ! isset( $content_width ) )
	$content_width = 530;

add_action( 'after_setup_theme', 'altis_setup' );

function altis_setup() {
	add_editor_style();
	add_custom_background();
	add_theme_support( 'post-thumbnails' );

	define( 'HEADER_IMAGE_WIDTH', apply_filters( 'altis_thumb_width', 520 ) );
	define( 'HEADER_IMAGE_HEIGHT', apply_filters( 'altis_thumb_height', 200 ) );

	set_post_thumbnail_size( HEADER_IMAGE_WIDTH, HEADER_IMAGE_HEIGHT, true );
}

add_theme_support('automatic-feed-links');

if ( function_exists('register_sidebar') )
    register_sidebar(array(
        'before_widget' => '<div class="box">',
        'after_widget' => '</div>',
        'before_title' => '<h3>',
        'after_title' => '</h3>',
    ));


if ( is_singular() AND comments_open() AND (get_option('thread_comments') == 1))
	wp_enqueue_script( 'comment-reply' );

/*
 * Fix the extra 10 pixel width issue for image captions
 */
add_shortcode('wp_caption', 'fixed_img_caption_shortcode');
add_shortcode('caption', 'fixed_img_caption_shortcode');

function fixed_img_caption_shortcode($attr, $content = null) {
	// Allow plugins/themes to override the default caption template.
	$output = apply_filters('img_caption_shortcode', '', $attr, $content);
	if ( $output != '' ) return $output;
	extract(shortcode_atts(array(
		'id'=> '',
		'align'	=> 'alignnone',
		'width'	=> '',
		'caption' => ''), $attr));
	if ( 1 > (int) $width || empty($caption) )
	return $content;
	if ( $id ) $id = 'id="' . esc_attr($id) . '" ';
	return '<div ' . $id . 'class="wp-caption ' . esc_attr($align)
	. '" style="width: ' . ((int) $width) . 'px">'
	. do_shortcode( $content ) . '<p class="wp-caption-text">'
	. $caption . '</p></div>';
}

?>
